/* Base Styles */

body {
    width: 100%;
    min-width: 100%;
}

.visible-desktop {
  display: none !important;
}

.visible-phone {
  display: inherit !important;
}

.hidden-phone {
	display: none !important;
}

.responsive-display.hide-mobile {
	display: none;
	visibility: collapse;
}

/* Grid */

body {
    width: 100%;
    min-width: 100%;
}

.container_12 {
    width: 100%;
    margin-left: 0;
    margin-right: 0;
}

.align_center,
.align_right {
    text-align: left;
}

.grid_1,
.grid_2,
.grid_3,
.grid_4,
.grid_5,
.grid_6,
.grid_7,
.grid_8,
.grid_9,
.grid_10,
.grid_11,
.grid_12 {
    display: inline;
    float: left;
    position: relative;
    margin-left: 1%;
    margin-right: 1%;
}

.alpha, .omega {
    margin: 0;
}

.container_12 .grid_1,
.container_12 .grid_2,
.container_12 .grid_3,
.container_12 .grid_4,
.container_12 .grid_5,
.container_12 .grid_6,
.container_12 .grid_7,
.container_12 .grid_8,
.container_12 .grid_9,
.container_12 .grid_10,
.container_12 .grid_11,
.container_12 .grid_12 
{
    width: 98%;
}

.container_12 .suffix_1,
.container_12 .suffix_2,
.container_12 .suffix_3,
.container_12 .suffix_4,
.container_12 .suffix_5,
.container_12 .suffix_6,
.container_12 .suffix_7,
.container_12 .suffix_8,
.container_12 .suffix_9,
.container_12 .suffix_10,
.container_12 .suffix_11 {
    padding-right: 0%;
}

.container_12 .push_1,
.container_12 .push_2,
.container_12 .push_3,
.container_12 .push_4,
.container_12 .push_5,
.container_12 .push_6,
.container_12 .push_7,
.container_12 .push_8,
.container_12 .push_9,
.container_12 .push_10,
.container_12 .push_11 {
    left: 0%;
}

.container_12 .pull_1,
.container_12 .pull_2,
.container_12 .pull_3,
.container_12 .pull_4,
.container_12 .pull_5,
.container_12 .pull_6,
.container_12 .pull_7,
.container_12 .pull_8,
.container_12 .pull_9,
.container_12 .pull_10,
.container_12 .pull_11 {
    left: 0%;
}

.clear {
    clear: both;
    display: block;
    overflow: hidden;
    visibility: hidden;
    width: 0;
    height: 0;
}

.clearfix:before,
.clearfix:after {
    content: '\0020';
    display: block;
    overflow: hidden;
    visibility: hidden;
    width: 0;
    height: 0;
}

.clearfix:after {
    clear: both;
}

.one_half, .one_third, .two_third, .three_fourth, .one_fourth, .one_fifth, .two_fifth, .three_fifth, .four_fifth, .one_sixth, .five_sixth {
    width: 100% !important;
    position: relative;
    margin-left: 0;
    margin-right: 0;
    float: left;
    display: block;
}

.last {
    margin-right: 0 !important;
    clear: right;
}

.clearboth {
    clear: both;
    display: block;
    font-size: 0;
    height: 0;
    line-height: 0;
    width: 100%;
}

.row-fluid > [class*="span"] {
    float: none;
    display: block;
    width: auto;
    margin: 0;
}


/* Header */

.page-content-with-right-sidebar, .page-content-with-left-sidebar {
	padding-right: 0;
	padding-left: 0;
}

header, .subheader, .pagecontainer, footer, .subfooter {
	padding-left: 20px;
	padding-right: 20px;
}

.header-content {
	text-align: center;
}

.has-mobile-specific-content .normal-header-content {
	display: none;
}

.has-mobile-specific-content .mobile-header-content {
	display: block;
}

.logo-wrapper {
	position: relative;
	text-align: center;
}

a.logo {
	position: relative;
	display: inline-block;
	margin-bottom: 15px;
	text-align: center;
}

a.mobile-menu-btn {
	display: inline-block;
	margin-bottom: 3px;
}

a.mobile-menu-btn.btn.menu-open {
	-webkit-box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.2), 0 1px rgba(255, 255, 255, 0.05);
	background-image: -moz-linear-gradient(top, transparent, rgba(0, 0, 0, 0.15));
	background-image: -ms-linear-gradient(top, transparent, rgba(0, 0, 0, 0.15));
	background-image: -o-linear-gradient(top, transparent, rgba(0, 0, 0, 0.15));
	background-image: -webkit-linear-gradient(top, transparent, rgba(0, 0, 0, 0.15));
	background-image: linear-gradient(top, transparent, rgba(0, 0, 0, 0.15));
}

ul.desktop-menu, ul.tablet-menu, html.touch ul.tablet-menu.tablet-menu-landscape  {
    display: none;
    visibility: collapse;
}

.mobile-menu.topmenu ul.sub-menu {
    background: none;
}


/* Sidebar */

.sidebar {
	margin-top: 36px;
}

.sidebar .widget {
	margin-bottom: 21px;
}

.pagecontainer.has-left-sidebar div.sidebar-span {
    float: left;
    width: 100%;
}

.pagecontainer.has-left-sidebar div.page-content-span {
    float: left;
}


/* Shortcodes */

div.video-embed-shortcode.autosize {
    width: 100%;
}

.prime-gallery a.mobile-row, .prime-gallery a.desktop-row.mobile-row {
    margin-right: 0;
}
.prime-gallery a.desktop-row {
    margin-right: 18px;
}

span.pullquote.left, span.pullquote.right, blockquote {
    float: none;
    width: auto;
    display: inline-block;
    margin-left: 1px;
    margin-right: 25px;
    padding-left: 20px;
}



.recent-posts-shortcode, .recent-projects-shortcode {
    margin-bottom: 20px;
}

.recent-posts-shortcode a.image-link {
    width: 100%;
}

.recent-posts-preview, .recent-projects-preview,
.recent-projects-shortcode .recent-projects-preview.col-width-3,
.recent-posts-shortcode .recent-posts-preview.col-width-3,
.recent-projects-shortcode .recent-projects-preview.col-width-4, .recent-posts-shortcode .recent-posts-preview.col-width-4{
    float: none;
    width: 100% !important;
    padding-right: 0;
    margin-top: 20px;
    margin-left: 0;
}

.recent-posts-preview:first-child, .recent-projects-preview:first-child {
    margin-top: 0;
}



.banner {
    padding-left: 20px;
    padding-right: 20px;
}

.banner.row {
    float: none;
    width: 100%;
}

.banner > .span12 {
    float: none;
    margin: 0 auto;
    width: 100%;
}



.column-with-divider {
    position: relative;
    float: none;
    display: block;

    /* important needed to override the style attribute */
    width: 100% !important;
    padding-left: 0 !important;
    padding-right: 0 !important;

    border-left: 0;
    border-top: 2px solid #A1A1A1;
    border-top: 1px dotted rgba(255, 255, 255, 0.26);
    padding-top: 20px;
    padding-bottom: 20px;
}

.column-with-divider:first-child {
    border-top: 0;
    padding-top: 0;
}

.column-with-divider.last-column {
    padding-bottom: 0;
}


div.flexslider {
	overflow: visible;
}

.flex-control-nav {
	right: 0;
	padding-top: 10px;
	padding-right: 12px;
	bottom: -9px;
}

.flex-caption, ul.slider-arrows {
    display: none;
    visibility: collapse;
}

article.item div.flexslider ul.slider-arrows {
    display: block;
    visibility: visible;
}

.flex-caption > div.caption {
    font-size: 14px;
    padding: 9px 11px 9px 11px;
}
.flex-caption > div.subcaption {
    padding: 9px 13px 9px 13px;
    font-size: 12px;
    margin-top: -8px;
}

div.map-wrapper.full {
	margin-left: -25px;
	margin-right: -25px;
}

div.pricing-table {
	border: 1px solid rgba(0, 0, 0, 0.1);
}


div.pricing-table.full {
	border-top: none;
}

div.pricing-table > div.plan, div.pricing-table.full > div.plan  {
	border: none;
	border-top: 1px solid rgba(0, 0, 0, 0.1);
}

div.pricing-table > div.plan:first-child, div.pricing-table.full > div.plan:first-child {
	border-top: none;
    border-left: none;
}

div.pricing-table.columns-1 > div.plan,
div.pricing-table.full.columns-3 > div.plan:first-child ,
div.pricing-table.columns-2 > div.plan,
div.pricing-table.columns-3 > div.plan,
div.pricing-table.columns-4 > div.plan,
div.pricing-table.columns-5 > div.plan,
div.pricing-table.columns-6 > div.plan {
    width: 100%;
}

div.plan-header div.price {
    font-size: 4em;
}

div.plan.featured span.featured-msg {
    display: none;
    visibility: collapse;
}

div.plan.featured div.plan-header div.price {
    padding-top: 13px;
}

div.plan.featured {
    margin-top: 0;
}

.pricing-table .plan .inner ul {
    padding-bottom: 10px;
}

div.pricing-table  > div.plan.featured > div.inner > ul > li:last-child {
    padding-bottom: 10px;
}

div.plan.featured {
    box-shadow: none;
}

.video-iframe-wrapper iframe {
    width: 100%;
    height: auto;
}

.shortcode-divider.medium div.second-section {
    display: none;
}

.shortcode-divider.medium div.first-section {
    width: 100%;
}

/* Forms */

form {
	/*margin-bottom: 0;*/
}

form.wpcf7-form ul textarea, form.wpcf7-form ul input {
	width: 100%;
}



/* Portfolio */

div.filter-wrapper {
    display: none;
    visibility: collapse;
}

div.table.select-table {
	margin-top: 0;
	margin-bottom: 25px;
}

select.filter {
    display: inline-block;
    visibility: visible;
    width: 100%;
}

div#masonry-container {
	margin-left: 0;
	margin-right: 0;
}

article.item {
    width: 100% !important;
    max-width: 767px !important;
	margin-left: 0;
	margin-right: 30px;
}

article.item a.image-link, article.item a.image-link img, article.item div.description {
    width: 100% !important;
    height: auto;
}

.column-1 article.item > * {
    display: block;
    float: none;
}

.column-1 article.item {
    margin-bottom: 20px;
}

.column-1 article.item h3.portfolio-item-title, .column-1 article.item h3.portfolio-item-title a {
    font-size: 15px;
    line-height: 15px;
    margin: 10px 0 12px 0;
}

div#masonry-container {
    overflow: hidden;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -o-user-select: none;
    user-select: none;
    -webkit-tap-highlight-color: rgba(255, 255, 255, 0);
}

.column-1 article.item > div.description {
    border-top-width: 0;
    border-bottom-width: 1px;
}

div.prime-portfolio {
	padding: 0;
	margin-bottom: 0;
}

div.prime-portfolio div.portfolio-divider {
    display: none;
    visibility: collapse;
}

div.prime-portfolio img.post-image , div.main.portfolio-main img{
    margin-bottom: 0;
    border-radius: 0;
}

div.prime-portfolio a.image-link.no-frame span.image-overlay {
    bottom: 0;
    border-radius: 0;
}

.paginators ul.page-numbers {
	padding-bottom: 15px;
}

ul.page-numbers > li > a.page-numbers.next, ul.page-numbers > li > a.page-numbers.prev {
	display: none;
	visibility: collapse;
}

.portfoliocontainer {
    margin-bottom: 10px;
}

.column-1 article.item > div.description {
    padding-bottom: 20px;
    padding-top: 0;
}


/* Blog */

span.date {
	padding-left: 0;
}

.post-meta {
	line-height: 1.7em;
}
	
p.social-share, p.tags {
	float: none;
}

.comment-form input.text {
	width: 100%;
}

footer {
	padding-top: 35px;
	padding-bottom: 6px;
}

.subfooter {
    text-align: left;
}

a.top-link {
	float: none;
	text-align: left;
	display: inline-block;
	padding-top: 3px;
}

.post-preview {
    margin-bottom: 20px;
}

.post-preview .post-image, div.post .post-image {
    width: 100%;
    height: auto;
}

.blog-medium-image .post-preview > a.image-link,
.blog-medium-image .has-preview-image  div.post-preview-heading,
.blog-medium-image .has-preview-image div.post-content,
.blog-medium-image .has-preview-image p.post-meta
{
    width: 100%;
    height: auto;
}

.blog-medium-image .post-preview > a.image-link img {
    padding-bottom: 0;
}

.blog-medium-image span.categories {
    margin-top: 4px;
}

ul.pagination {
    margin-top: 22px;
}

/* Comments */

.comments ul.children {
    padding-left: 15px;
}

.comments h2.comments-title {
    padding-top: 10px;
    margin-bottom: 16px;
}

.comment {
    margin-top: 20px;
}

.comment .avatar, .comment .comment-tip {
    display: none;
}

.comment .message-wrap {
    padding: 0;
}

.comment-form-wrapper {
    padding-top: 0;
    padding-left: 0;
    padding-right: 0;
    width: 100%;
}

.comment-form-wrapper > h2 {
    padding-top: 3px;
    line-height: 1em;
    margin-bottom: 17px;
}

form.comment-form {
    margin-right: 0;
    margin-bottom: 30px;
    width: 100%;
}

form.comment-form fieldset .comment-info,
form.comment-form fieldset .comment-message,
form.comment-form fieldset .comment-options {
    width: 100%;
    margin-left: 0;

    padding-left: 0;
    padding-right: 0;
}

form.comment-form fieldset {
    margin-bottom: 0;
}

form.comment-form fieldset .comment-message,
form.comment-form fieldset .comment-options {
    margin-bottom: 17px;
}

form.comment-form fieldset .comment-message {
    float: left;
}

div#respond.is-logged-in form.comment-form fieldset .comment-message {
    padding: 0;
}

form.comment-form fieldset .comment-info {
    margin-bottom: 0;
    margin-left: 0;

}

form.comment-form fieldset .comment-info > div {
    padding: 0;
    margin: 0;
}

form.comment-form fieldset .comment-info input, form.comment-form fieldset .comment-message textarea {
    display: block;
    width: 100%;
}

form.comment-form fieldset .comment-message textarea  {
    width: 100%;
}

div#respond.is-logged-in form.comment-form fieldset .comment-message textarea {
    width: 100%;
}

form.comment-form fieldset input[type="submit"] {
    float: none;
    padding-left: 5%;
    font-weight: bold;
    width: 100%;
    margin-left: 0;
    margin-right: 0;
}

div#respond.is-logged-in form.comment-form fieldset input[type="submit"] {
    width: 100%;
    margin-left: 0;
    margin-right: 0;
}


/* Shortcodes */

.mobile-only {
    display: inherit;
}
.fullsize-only {
    display: none;
}

.prime-gallery a.image-link.fullsize-row {
    margin-right: 18px;
}

.prime-gallery a.image-link.mobile-row {
    margin-right: 0;
}

/* Bootstrap Styles */

.container-fluid {
    padding: 0;
}
.dl-horizontal dt {
  float: none;
  clear: none;
  width: auto;
  text-align: left;
}
.dl-horizontal dd {
  margin-left: 0;
}
.gridcontainer {
  width: auto;
}
.row-fluid {
  width: 100%;
}
.row,
.thumbnails {
  margin-left: 0;
}
.thumbnails > li {
  float: none;
  margin-left: 0;
}
[class*="span"],
.row-fluid [class*="span"] {
  float: none;
  display: block;
  width: auto;
  margin-left: 0;
}
.span12,
.row-fluid .span12 {
  width: 100%;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}
.input-large,
.input-xlarge,
.input-xxlarge,
input[class*="span"],
select[class*="span"],
textarea[class*="span"],
.uneditable-input {
  display: block;
  width: 100%;
  min-height: 30px;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}
.input-prepend input,
.input-append input,
.input-prepend input[class*="span"],
.input-append input[class*="span"] {
  display: inline-block;
  width: auto;
}
.modal {
  position: fixed;
  top: 20px;
  left: 20px;
  right: 20px;
  width: auto;
  margin: 0;
}
.modal.fade.in {
  top: auto;
}

html.mobile.mobile-device {
    background: none !important;
}

